# dmd.semantic2

Performs the `semantic2` stage, which deals with initializer expressions.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: semantic2.d

Documentation: https://dlang.org/phobos/dmd_semantic2.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/semantic2.d

- `semantic2`

  #### Declaration

  `void `semantic2`(Dsymbol `dsym`, Scope* `sc`);`

  Does semantic analysis on initializers and members of aggregates.